// 2DImageDoc.h : interface of the C2DImageDoc class
//
/////////////////////////////////////////////////////////////////////////////

#include "OCC_2dDoc.h"

class C2DImageDoc : public OCC_2dDoc
{
protected: // create from serialization only
	C2DImageDoc();
	DECLARE_DYNCREATE(C2DImageDoc)

// Implementation
public:
	virtual ~C2DImageDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(C2DImageDoc)
	afx_msg void OnBUTTONTestMultiImages();
	afx_msg void OnBUTTONTestImage();
	afx_msg void OnBUTTONErase();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
